<template>
  <v-app>
    <v-content>
      <v-container>
        <v-row class="justify-center">
          <v-col xl="8" lg="10">
            <v-row class="text-center justify-center" wrap>
              <VideoHeader />
            </v-row>
            <div class="text-center">
              <v-btn
                :disabled="firstPart"
                text
                color="success"
                class="mr-4"
                @click="toggleParts()"
                >Part 1</v-btn
              >
              <v-btn
                :disabled="!firstPart"
                text
                color="success"
                class="mr-4"
                @click="toggleParts()"
                >Part 2</v-btn
              >
            </div>
            <Note v-if="firstPart" />
            <Transaction v-else />
            <div class="text-center">
              <v-btn
                :disabled="firstPart"
                text
                color="success"
                class="mr-4"
                @click="toggleParts()"
                >Part 1</v-btn
              >
              <v-btn
                :disabled="!firstPart"
                text
                color="success"
                class="mr-4"
                @click="toggleParts()"
                >Part 2</v-btn
              >
            </div>
            <Footer />
          </v-col>
        </v-row>
      </v-container>
    </v-content>
  </v-app>
</template>

<script>
import Note from "./components/Note";
import Transaction from "./components/Transaction";
import Footer from "./components/Footer";
import VideoHeader from "./components/VideoHeader";

export default {
  name: "App",

  components: {
    Note,
    Transaction,
    Footer,
    VideoHeader,
  },

  data: () => ({
    firstPart: true,
  }),

  methods: {
    toggleParts: function () {
      this.firstPart = !this.firstPart;
      window.scroll(0, 0);
    },
  },
};
</script>
<style>
@import "../node_modules/katex/dist/katex.min.css";
@import "./assets/styles/main.css";
</style>
